<template>
  <div>
    <div v-if="userExists == true">
    <CommentForm ref="createForm" @addComment="handleAddComment" />
    </div>
    <div v-else>
      <p> Veuillez vous connectez pour partagez votre avis sur ce produit.</p>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';
import CommentForm from '../../components/comment/Form';
import CreateMixin from '../../mixins/CreateMixin';

const servicePrefix = 'Comment';

export default {
  name: 'CommentCreate',
  servicePrefix,
  mixins: [CreateMixin],
  components: {
    CommentForm
  },
  data() {
    return {
      item: {},
    };
  },
  props: {
    product: {
      type: Object
    },
    user: {
      type: Object
    },
  },
  computed: {
    userExists: function(){
      if(this.user !== null){
        return true;
      }
      return false;
    }
  },
  methods: {
    ...mapActions('product', ['addComment']),
    handleAddComment(comment) {
      comment.commentator = '/users/' + this.user.data.id;
      comment.product = '/products/' + this.product.id;
      var object = {};
      object.productId = this.product.id;
      object.comment = comment;
      this.addComment(object);
    },
  }
};
</script>
